Bug 205069 - Unable to set display resolution to 1920x1200
Unable to set display resolution to 1920x1200
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-03 10:20 EDT by Dave Russell
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 21:58:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xorg log file (59.58 KB, text/plain)
2006-09-07 04:22 EDT, Dave Russell
no flags Details

  None (edit)
Description Dave Russell 2006-09-03 10:20:06 EDT
Description of problem:
I am unable to set the display resolution to the native (1920x1200) resolution
for my Dell 2405FPW

The highest resolution that I can display seems to be 1600x1200 (note that this
was working fine in FC5)

Version-Release number of selected component (if applicable):
xorg-x11-apps-7.1-2.fc6
xorg-x11-drivers-7.1-3
xorg-x11-drv-acecad-1.1.0-2.1
xorg-x11-drv-aiptek-1.0.1-2
xorg-x11-drv-apm-1.1.1-2.1
xorg-x11-drv-ark-0.6.0-2.1
xorg-x11-drv-ast-0.81.0-3
xorg-x11-drv-ati-6.6.2-1.fc6
xorg-x11-drv-calcomp-1.1.0-1.1
xorg-x11-drv-chips-1.1.1-2.1
xorg-x11-drv-cirrus-1.1.0-2.fc6
xorg-x11-drv-citron-2.2.0-1.1
xorg-x11-drv-cyrix-1.1.0-4
xorg-x11-drv-digitaledge-1.1.0-1.1
xorg-x11-drv-dmc-1.1.0-2
xorg-x11-drv-dummy-0.2.0-2.1
xorg-x11-drv-dynapro-1.1.0-2
xorg-x11-drv-elo2300-1.1.0-1.1
xorg-x11-drv-elographics-1.1.0-1.1
xorg-x11-drv-evdev-1.1.2-2.1
xorg-x11-drv-fbdev-0.3.0-2
xorg-x11-drv-fpit-1.1.0-1.1
xorg-x11-drv-glint-1.1.1-4.1
xorg-x11-drv-hyperpen-1.1.0-2
xorg-x11-drv-i128-1.2.0-4
xorg-x11-drv-i740-1.1.0-2.1
xorg-x11-drv-i810-1.6.5-5.fc6
xorg-x11-drv-jamstudio-1.1.0-1.1
xorg-x11-drv-joystick-1.1.0-1.1
xorg-x11-drv-keyboard-1.1.0-2.1
xorg-x11-drv-magellan-1.1.0-1.1
xorg-x11-drv-magictouch-1.0.0.5-2.1
xorg-x11-drv-mga-1.4.1-5.fc6
xorg-x11-drv-microtouch-1.1.0-1.1
xorg-x11-drv-mouse-1.1.1-1.1
xorg-x11-drv-mutouch-1.1.0-2
xorg-x11-drv-neomagic-1.1.1-2.1
xorg-x11-drv-nsc-2.8.1-2.1
xorg-x11-drv-nv-1.2.0-4.fc6
xorg-x11-drv-palmax-1.1.0-1.1
xorg-x11-drv-penmount-1.1.0-2.1
xorg-x11-drv-rendition-4.1.0-3.1
xorg-x11-drv-s3-0.4.1-2.1
xorg-x11-drv-s3virge-1.9.1-2.1
xorg-x11-drv-savage-2.1.1-5.fc6
xorg-x11-drv-siliconmotion-1.4.1-2.1
xorg-x11-drv-sis-0.9.1-5
xorg-x11-drv-sisusb-0.8.1-4.1
xorg-x11-drv-spaceorb-1.1.0-1.1
xorg-x11-drv-summa-1.1.0-1.1
xorg-x11-drv-tdfx-1.2.1-3.1
xorg-x11-drv-trident-1.2.1-3.fc6
xorg-x11-drv-tseng-1.1.0-3.1
xorg-x11-drv-ur98-1.1.0-1.1
xorg-x11-drv-v4l-0.1.1-4
xorg-x11-drv-vesa-1.2.1-2
xorg-x11-drv-vga-4.1.0-2.1
xorg-x11-drv-via-0.2.1-4.1
xorg-x11-drv-vmmouse-12.4.0-2.1
xorg-x11-drv-vmware-10.13.0-2.1
xorg-x11-drv-void-1.1.0-3.1
xorg-x11-drv-voodoo-1.1.0-3.1
xorg-x11-filesystem-7.1-2.fc6
xorg-x11-fonts-100dpi-7.1-2
xorg-x11-fonts-75dpi-7.1-2
xorg-x11-fonts-base-7.1-2
xorg-x11-fonts-ISO8859-1-100dpi-7.1-2
xorg-x11-fonts-ISO8859-1-75dpi-7.1-2
xorg-x11-fonts-misc-7.1-2
xorg-x11-fonts-truetype-7.1-2
xorg-x11-fonts-Type1-7.1-2
xorg-x11-font-utils-7.1-2
xorg-x11-server-utils-7.1-4.fc6
xorg-x11-server-Xorg-1.1.1-34.fc6
xorg-x11-twm-1.0.1-3.1
xorg-x11-utils-7.1-2.fc6
xorg-x11-xauth-1.0.1-2.1
xorg-x11-xfs-1.0.2-3.1
xorg-x11-xinit-1.0.2-9.fc6
xorg-x11-xkb-utils-1.0.2-2.1


How reproducible:
Present in initial install, have updated to latest fedora-devel packages with no
change.

Steps to Reproduce:
1. Install FC6-T2
2. Attempt to set resolution to 1920x1200
3. Fail to set resolution to any higher than 1600x1200
  
Actual results:
Max resolution is 1600x1200

Expected results:
Display should be 1920x1200

Additional info:
I have attempted to modify my xorg.conf to set the screen resolution manually,
but this has not made any difference.
Comment 1 Adam Jackson 2006-09-06 17:00:37 EDT
What video hardware is this with?
Comment 2 Dave Russell 2006-09-07 04:21:18 EDT
lspci shows:

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R300 ND [Radeon
9700 Pro]

I'm using the vga connection (i.e. not dvi) as I have something else connected
to the dvi input.

I'm also about to attach the Xorg log file.
Comment 3 Dave Russell 2006-09-07 04:22:16 EDT
Created attachment 135734 [details]
xorg log file
Comment 4 Adam Jackson 2006-09-07 21:58:44 EDT
Oh, nice one!

(II) RADEON(0): Not using driver mode "1920x1200" (monitor doesn't support
reduced blanking)

So, even though the monitor reported a reduced-blanking mode, the server just
went ahead and threw it out.  Classy.

Should be fixed in xorg-x11-server-1.1.1-38.fc6, building now...

Note You need to log in before you can comment on or make changes to this bug.